cancel
Showing results for 
Search instead for 
Did you mean: 

IQ_VLDBMGMT not showin in sp_iqlmconig.

Gisung
Advisor
Advisor
0 Kudos
112

Dear all,

[Env]

- SAP IQ/16.0.0.807/140507/P/sp08/Enterprise Linux64 - x86_64 - 2.6.18-194.el5/64bit/2014-05-07 18:02:42

I have a customer who has a problem about IQ_VLDBMGMT.

According to customer, they purchased a IQ_VLDB license like below.

Ct asked me how to check the VLDB license through sp_iqlmconfig.

Because IQ_VLDBMGMT not showin in sp_iqlmconig.

Ct kept failing to enable VLDB as follows.

1) sp_iqlmconfig 'allow', 'IQ_VLDBMGMT', '10'

2) call sp_iqlmconfig ('allow', 'IQ_VLDBMGMT', '10')

3) sp_iqlmconfig 'allow', 'IQ_VLDBMGMT', 10

[Error]

Could not execute statement.

Wrong number of parameters to function 'sp_iqlmconfig'

SQLCODE=-154, ODBC 3 State="42000"

Line 1, column 1

Are there any possibilities about this?

Any comments will be greatly appreciated.

Thanks,

Gi-Sung Jang

View Entire Topic
tayeb_hadjou
Advisor
Advisor
0 Kudos

Hi Jang,

It looks like system proc "sp_iqlmconfig" you executed is not upgraded yet  to support the IQ16 new syntax.

It works fine in my IQ16 SP08 iqdemo but fails with same syntaxt error in iQ15.4 ESD4.

Check if the database is actually upgraded to SP08  (query syshistory system table).

If not upgraded then upgrade it and try again or , if db has to remain in previous version, test in other 16 SP08 TEST database.

Regards,

Tayeb.

Gisung
Advisor
Advisor
0 Kudos

Hi Tayeb HADJOU,

Thanks for your reply.

Customer told me they didn't upgrade an IQ, "This is a new server, migrating to LINUX."

When I asked customer to create a range partitioned table, the table was created without any errors.

So I agree that the new syntax is not upgraded.

I requested an output of "select * from syshistory" and sp_iqlmconfig.

thanks

Gi-Sung Jang

Gisung
Advisor
Advisor
0 Kudos

Hi,

Here is a output of syshistory from customer.

(DBA)> select * from syshistory;

operation object_id sub_operation version platform first_time last_time details first_time_utc last_time_utc

INIT 0 16.0.0.429 Linux 2.6.32-431.el6.x86_64 #1 SMP Wed Nov 20 23:5 2014-08-21 23:01:52.000 2014-08-21 23:01:52.000 2014-08-22 03:01:52.000+00:00 2014-08-22 03:01:52.000+00:00

LAST_START 0 16.0.0.807 Linux 2.6.32- 431.el6.x86_64 #1 SMP Wed Nov 20 23:5 2014-08-27 06:57:25.000 2014-08-27 06:57:25.000 2014-08-27 10:57:25.000+00:00 2014-08-27 10:57:25.000+00:00

START 0 16.0.0.429 Linux 2.6.32-431.el6.x86_64 #1 SMP Wed Nov 20 23:5 2014-08-21 19:02:01.000 2014-08-27 06:57:25.000 2014-08-21 23:02:01.000+00:00 2014-08-27 10:57:25.000+00:00

START 0 16.0.0.807 Linux 2.6.32-431.el6.x86_64 #1 SMP Wed Nov 20 23:5 2014-08-27 06:57:25.000 2014-08-27 06:57:25.000 2014-08-27 10:57:25.000+00:00 2014-08-27 10:57:25.000+00:00

thanks

Gi-Sung Jang

tayeb_hadjou
Advisor
Advisor
0 Kudos

Hi Jang,

The output confirms that the database is still in 16 GA (16.0.0.429) and NOT upgraded to SP08 (16.0.0.807) yet.

Once the db is upgraded, you will see a new row (5th line) :

UPGRADE 0 16.0.0.807 Linux .....

So, this explains why the new syntax of sp_iqlmconfig didn't work.

Regards,

Tayeb.

Gisung
Advisor
Advisor
0 Kudos

Hi Tayeb HADJOU

Thanks for your reply.

I recommend customer to execute "alter database upgrade" for this reason.

Thanks again.

Regards

Gi-Sung Jang